package cn.com.countrygarden.bi.main.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.persistence.Column;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 问题自定义业务类
 * 
 * @author 木木子
 *
 */
public class ReviewQuestionnaireProblemVo implements Serializable {
	/**
	 * 问题id
	 */
	private Integer id;
	/**
	 * 问题分类ID
	 */
	private Integer classification;
	/**
	 * 问题分类名
	 */
	private String name;
	/**
	 * 题型ID
	 */
	private Integer type;
	/**
	 * 题目名称描述
	 */
	private String title;
	
	private Integer orderxu;
	 	
	
	/**
	 * 分数
	 */
	private Integer score;

	/**
	 * 答案描述
	 * 
	 * @return
	 */

	private String answerDescription;

	/**
	 * 选择类集合
	 * 
	 * @return
	 */

	private List<ReviewQuestionnaireProblemOptionVo> option = new ArrayList<ReviewQuestionnaireProblemOptionVo>();

	
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public List<ReviewQuestionnaireProblemOptionVo> getOption() {
		return option;
	}

	public void setOption(List<ReviewQuestionnaireProblemOptionVo> option) {
		ReviewQuestionnaireProblemOptionVo pro=null;
		if (option.size() == 0) {
			 pro= new ReviewQuestionnaireProblemOptionVo();
			pro.setProblemId(null);
			pro.setName(null);
			pro.setOptionScore(null);
			option.add(pro);
		}
		this.option = option;

	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getAnswerDescription() {
		return answerDescription;
	}

	public void setAnswerDescription(String answerDescription) {
		this.answerDescription = answerDescription;
	}

	public Integer getClassification() {
		return classification;
	}

	public void setClassification(Integer classification) {
		this.classification = classification;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public Integer getScore() {
		return score;
	}

	public void setScore(Integer score) {
		this.score = score;
	}

	public Integer getOrderxu() {
		return orderxu;
	}

	public void setOrderxu(Integer orderxu) {
		this.orderxu = orderxu;
	}
	
	

}
